## lugaru 1.2

=== CMakeLists.txt ===
project(lugaru)

cmake_minimum_required(VERSION 3.0)
cmake_policy(SET CMP0004 OLD)

include(FindPkgConfig)
include(GNUInstallDirs)


### Helpers

set(SRCDIR "${CMAKE_CURRENT_SOURCE_DIR}/Source")

if(UNIX AND NOT APPLE)
    set(LINUX TRUE)
endif()


### Version

# Version for the current (stable) or next (development) release
set(LUGARU_VERSION_MAJOR 1)
set(LUGARU_VERSION_MINOR 2)
set(LUGARU_VERSION_PATCH 0)

# MAJOR.MINOR, or MAJOR.MINOR.PATCH if PATCH != 0
set(LUGARU_VERSION_NUMBER "${LUGARU_VERSION_MAJOR}.${LUGARU_VERSION_MINOR}")
if(LUGARU_VERSION_PATCH)
    set(LUGARU_VERSION_NUMBER "${LUGARU_VERSION_NUMBER}.${LUGARU_VERSION_PATCH}")
endif()

# Set to "" for stable (tagged) builds, "-dev" for dev builds
#set(LUGARU_VERSION_SUFFIX "-dev")  # development
set(LUGARU_VERSION_SUFFIX "")  # stable

# Set to 7-char git commit hash if available, otherwise "".
# On stable (tagged) builds, this is ignored.
set(LUGARU_VERSION_HASH "")
if(LUGARU_VERSION_SUFFIX STREQUAL "-dev" AND EXISTS ${CMAKE_CURRENT_SOURCE_DIR}/.git)
    find_package(Git)
    if(GIT_FOUND)
        execute_process(
            COMMAND ${GIT_EXECUTABLE} rev-parse --short HEAD
            WORKING_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}"
            OUTPUT_VARIABLE "LUGARU_VERSION_HASH"
            ERROR_QUIET
            OUTPUT_STRIP_TRAILING_WHITESPACE)
        message(STATUS "Git commit hash: ${LUGARU_VERSION_HASH}")
    endif()
endif()

set(LUGARU_VERSION_RELEASE "" CACHE STRING "Optional release string, e.g. for distro packages release number")

# Final string built from the above constants, following the scheme:
# MAJOR.MINOR[.PATCH][-dev] [(git HASH)] [[RELEASE]]
set(LUGARU_VERSION_STRING "${LUGARU_VERSION_NUMBER}${LUGARU_VERSION_SUFFIX}")
if(NOT LUGARU_VERSION_HASH STREQUAL "")
    set(LUGARU_VERSION_STRING "${LUGARU_VERSION_STRING} (git ${LUGARU_VERSION_HASH})")
endif()
if(NOT LUGARU_VERSION_RELEASE STREQUAL "")
    set(LUGARU_VERSION_STRING "${LUGARU_VERSION_STRING} [${LUGARU_VERSION_RELEASE}]")
endif()

message(STATUS "Version string: ${LUGARU_VERSION_STRING}")
configure_file(${SRCDIR}/Version.hpp.in ${SRCDIR}/Version.hpp ESCAPE_QUOTES @ONLY)


### CMake config

if(NOT CMAKE_BUILD_TYPE)
    set(CMAKE_BUILD_TYPE RelWithDebInfo)
endif(NOT CMAKE_BUILD_TYPE)
message(STATUS "CMake build type: ${CMAKE_BUILD_TYPE}")

set(CMAKE_CXX_FLAGS "-Wall -Wextra -Wno-parentheses -pedantic --std=gnu++11 ${CMAKE_CXX_FLAGS}")

if(APPLE)
    set(CMAKE_OSX_ARCHITECTURES "x86_64" CACHE STRING "Build architectures for OSX")
    set(CMAKE_OSX_DEPLOYMENT_TARGET "10.11" CACHE STRING
        "Minimum OS X version to target for deployment (at runtime); newer APIs weak linked. Set to empty string for default value")
    set(CMAKE_OSX_SYSROOT "/Developer/SDKs/MacOSX10.11.sdk" CACHE PATH
        "The product will be built against the headers and libraries located inside the indicated SDK.")
endif(APPLE)

if(LINUX)
    option(SYSTEM_INSTALL "Enable system-wide installation, with hardcoded data directory defined with CMAKE_INSTALL_DATADIR" OFF)
endif(LINUX)

set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_SOURCE_DIR}/CMake/Modules/")


### Sources

set(LUGARU_SRCS
    ${SRCDIR}/main.cpp
    ${SRCDIR}/Animation/Animation.cpp
    ${SRCDIR}/Animation/Joint.cpp
    ${SRCDIR}/Animation/Muscle.cpp
    ${SRCDIR}/Animation/Skeleton.cpp
    ${SRCDIR}/Audio/openal_wrapper.cpp
    ${SRCDIR}/Audio/Sounds.cpp
    ${SRCDIR}/Devtools/ConsoleCmds.cpp
    ${SRCDIR}/Environment/Lights.cpp
    ${SRCDIR}/Environment/Skybox.cpp
    ${SRCDIR}/Environment/Terrain.cpp
    ${SRCDIR}/Graphic/Decal.cpp
    ${SRCDIR}/Graphic/Models.cpp
    ${SRCDIR}/Graphic/Sprite.cpp
    ${SRCDIR}/Graphic/Stereo.cpp
    ${SRCDIR}/Graphic/Text.cpp
    ${SRCDIR}/Graphic/Texture.cpp
    ${SRCDIR}/Level/Awards.cpp
    ${SRCDIR}/Level/Campaign.cpp
    ${SRCDIR}/Level/Dialog.cpp
    ${SRCDIR}/Level/Hotspot.cpp
    ${SRCDIR}/Math/Frustum.cpp
    ${SRCDIR}/Math/XYZ.cpp
    ${SRCDIR}/Menu/Menu.cpp
    ${SRCDIR}/Objects/Object.cpp
    ${SRCDIR}/Objects/Person.cpp
    ${SRCDIR}/Objects/PersonType.cpp
    ${SRCDIR}/Objects/Weapons.cpp
    ${SRCDIR}/Platform/PlatformUnix.cpp
    ${SRCDIR}/Platform/PlatformWindows.cpp
    ${SRCDIR}/User/Account.cpp
    ${SRCDIR}/User/Settings.cpp
    ${SRCDIR}/Utils/Folders.cpp
    ${SRCDIR}/Utils/ImageIO.cpp
    ${SRCDIR}/Utils/Input.cpp
    ${SRCDIR}/Utils/pack.c
    ${SRCDIR}/Utils/private.c
    ${SRCDIR}/Utils/unpack.c
    ${SRCDIR}/Game.cpp
    ${SRCDIR}/GameDraw.cpp
    ${SRCDIR}/GameInitDispose.cpp
    ${SRCDIR}/GameTick.cpp
    ${SRCDIR}/Globals.cpp
    ${SRCDIR}/Tutorial.cpp

)

set(LUGARU_H
    ${SRCDIR}/Animation/Animation.hpp
    ${SRCDIR}/Animation/Joint.hpp
    ${SRCDIR}/Animation/Muscle.hpp
    ${SRCDIR}/Animation/Skeleton.hpp
    ${SRCDIR}/Audio/openal_wrapper.hpp
    ${SRCDIR}/Audio/Sounds.hpp
    ${SRCDIR}/Devtools/ConsoleCmds.hpp
    ${SRCDIR}/Environment/Lights.hpp
    ${SRCDIR}/Environment/Skybox.hpp
    ${SRCDIR}/Environment/Terrain.hpp
    ${SRCDIR}/Graphic/Decal.hpp
    ${SRCDIR}/Graphic/gamegl.hpp
    ${SRCDIR}/Graphic/Models.hpp
    ${SRCDIR}/Graphic/Sprite.hpp
    ${SRCDIR}/Graphic/Stereo.hpp
    ${SRCDIR}/Graphic/Text.hpp
    ${SRCDIR}/Graphic/Texture.hpp
    ${SRCDIR}/Level/Campaign.hpp
    ${SRCDIR}/Level/Dialog.hpp
    ${SRCDIR}/Level/Hotspot.hpp
    ${SRCDIR}/Math/Frustum.hpp
    ${SRCDIR}/Math/XYZ.hpp
    ${SRCDIR}/Math/Random.hpp
    ${SRCDIR}/Menu/Menu.hpp
    ${SRCDIR}/Objects/Object.hpp
    ${SRCDIR}/Objects/Person.hpp
    ${SRCDIR}/Objects/PersonType.hpp
    ${SRCDIR}/Objects/Weapons.hpp
    ${SRCDIR}/Platform/Platform.hpp
    ${SRCDIR}/Thirdparty/optionparser.h
    ${SRCDIR}/User/Account.hpp
    ${SRCDIR}/User/Settings.hpp
    ${SRCDIR}/Utils/binio.h
    ${SRCDIR}/Utils/Folders.hpp
    ${SRCDIR}/Utils/ImageIO.hpp
    ${SRCDIR}/Utils/Input.hpp
    ${SRCDIR}/Utils/private.h
    ${SRCDIR}/Game.hpp
    ${SRCDIR}/Tutorial.hpp

)

set(LUGARU_OBJS "")
if(WIN32)
    add_custom_command(OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/Lugaru.res
                       COMMAND ${CMAKE_RC_COMPILER}
                       -o ${CMAKE_CURRENT_BINARY_DIR}/Lugaru.res
                       -i${SRCDIR}/Lugaru.rc
                       DEPENDS ${SRCDIR}/Lugaru.rc
    )
    set(LUGARU_OBJS "Lugaru.res")
endif(WIN32)

if(APPLE)
    set(PLATFORM_LIBS "-framework Carbon -framework Cocoa -framework OpenGL -framework OpenAL")
endif(APPLE)


### Dependencies

find_package(OpenGL REQUIRED)

# Windows is funky about OpenAL detection
if(WIN32)
    pkg_check_modules(OPENAL openal REQUIRED)
    set(OPENAL_LIBRARY ${OPENAL_LIBRARIES})
else(WIN32)
    find_package(OpenAL REQUIRED)
endif(WIN32)

# macOS has problems with using pkgconfig to find SDL2
if(APPLE)
    find_package(sdl2 REQUIRED)
else(APPLE)
    pkg_check_modules(SDL2 sdl2 REQUIRED)
endif(APPLE)

find_package(PNG REQUIRED)
find_package(JPEG REQUIRED)
find_package(ZLIB REQUIRED)
find_package(OggVorbis REQUIRED)

include_directories(
    ${OPENAL_INCLUDE_DIR}
    ${JPEG_INCLUDE_DIR}
    ${PNG_INCLUDE_DIR}
    ${ZLIB_INCLUDE_DIR}
    ${OPENGL_INCLUDE_DIR}
    ${SDL2_INCLUDE_DIRS}
    ${VORBISFILE_INCLUDE_DIR}
    ${OGG_INCLUDE_DIR}
    ${CMAKE_SOURCE_DIR}/Source
)

set(LUGARU_LIBS ${OPENAL_LIBRARY} ${PNG_LIBRARY} ${JPEG_LIBRARY} ${ZLIB_LIBRARIES} ${SDL2_LIBRARIES} ${OPENGL_LIBRARIES} ${VORBISFILE_LIBRARY} ${OGG_LIBRARY} ${PLATFORM_LIBS})


### Definitions

add_executable(lugaru ${LUGARU_SRCS} ${LUGARU_H} ${LUGARU_OBJS})
target_link_libraries(lugaru ${LUGARU_LIBS})

if(WIN32)
    add_definitions(-DBinIO_STDINT_HEADER=<stdint.h>)
    if(MINGW)
        # An alternative would be to use _WIN32 consistently instead of WIN32
        add_definitions(-DWIN32)
    endif(MINGW)
else(WIN32)
    add_definitions(-DPLATFORM_LINUX=1 -DPLATFORM_UNIX=1 -DBinIO_STDINT_HEADER=<stdint.h>)
endif(WIN32)


### Installation

if(NOT CMAKE_INSTALL_PREFIX AND WIN32)
    set(CMAKE_INSTALL_PREFIX "C:/Lugaru")
endif(NOT CMAKE_INSTALL_PREFIX AND WIN32)

# OS-specific installation paths

set(LUGARU_DOCDIR ${CMAKE_INSTALL_PREFIX})
if(LINUX)
endif(LINUX)

if(APPLE)
    set(LUGARU_APP_ROOT ${CMAKE_INSTALL_PREFIX}/Lugaru.app)
    set(LUGARU_BINDIR ${LUGARU_APP_ROOT}/Contents/MacOS)
    set(LUGARU_RESDIR ${LUGARU_APP_ROOT}/Contents/Resources)
endif(APPLE)

# Actual installation instructions

if(WIN32)
    install(PROGRAMS ${CMAKE_CURRENT_BINARY_DIR}/lugaru.exe DESTINATION ${CMAKE_INSTALL_PREFIX})
    install(DIRECTORY ${CMAKE_SOURCE_DIR}/Data DESTINATION ${CMAKE_INSTALL_PREFIX})
    if(MINGW)
        # Based off Mageia/Fedora MinGW toolchain, might not work on other distros or Windows
        set(LIBGCC_S libgcc_s_sjlj-1.dll)
        if(CMAKE_SYSTEM_PROCESSOR STREQUAL "x86_64") # MinGW64
            set(LIBGCC_S libgcc_s_seh-1.dll)
        endif(CMAKE_SYSTEM_PROCESSOR STREQUAL "x86_64")
        # FIXME: Filter out unneeded DLLs when building against some internal deps
        set(DLL_ROOT ${CMAKE_FIND_ROOT_PATH}/bin)
        install(FILES ${DLL_ROOT}/${LIBGCC_S}
                      ${DLL_ROOT}/libjpeg-62.dll
                      ${DLL_ROOT}/libogg-0.dll
                      ${DLL_ROOT}/libpng16-16.dll
                      ${DLL_ROOT}/libstdc++-6.dll
                      ${DLL_ROOT}/libvorbis-0.dll
                      ${DLL_ROOT}/libvorbisfile-3.dll
                      ${DLL_ROOT}/libwinpthread-1.dll
                      ${DLL_ROOT}/OpenAL32.dll
                      ${DLL_ROOT}/SDL2.dll
                      ${DLL_ROOT}/zlib1.dll
                DESTINATION ${CMAKE_INSTALL_PREFIX})
    endif(MINGW)
endif(WIN32)

if(LINUX)
    if(SYSTEM_INSTALL)
        add_definitions(-DDATA_DIR="${CMAKE_INSTALL_FULL_DATADIR}/${PROJECT_NAME}")
        set(LUGARU_DOCDIR ${CMAKE_INSTALL_DOCDIR})
        install(PROGRAMS ${CMAKE_CURRENT_BINARY_DIR}/lugaru DESTINATION ${CMAKE_INSTALL_BINDIR})
        # Trailing '/' is significant, it installs and _renames_ Data/ as the destination folder
        install(DIRECTORY ${CMAKE_SOURCE_DIR}/Data/ DESTINATION ${CMAKE_INSTALL_DATADIR}/${PROJECT_NAME})
        install(FILES ${CMAKE_SOURCE_DIR}/Dist/Linux/lugaru.appdata.xml DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/appdata)
        install(FILES ${CMAKE_SOURCE_DIR}/Dist/Linux/lugaru.desktop DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/applications)
        install(FILES ${CMAKE_SOURCE_DIR}/Dist/Linux/lugaru.png DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/icons/hicolor/128x128/apps)
        install(FILES ${CMAKE_SOURCE_DIR}/Dist/Linux/lugaru.6 DESTINATION ${CMAKE_INSTALL_MANDIR}/man6)
    else(SYSTEM_INSTALL)
        message("You are building Lugaru without having enabled the SYSTEM_INSTALL option. It will default to looking for the data in the 'Data' directory next to the binary.")
        install(PROGRAMS ${CMAKE_CURRENT_BINARY_DIR}/lugaru DESTINATION ${CMAKE_INSTALL_PREFIX})
        install(DIRECTORY ${CMAKE_SOURCE_DIR}/Data DESTINATION ${CMAKE_INSTALL_PREFIX})
    endif(SYSTEM_INSTALL)
endif(LINUX)

if(APPLE)
    install(PROGRAMS ${CMAKE_CURRENT_BINARY_DIR}/lugaru DESTINATION ${LUGARU_BINDIR})
    install(DIRECTORY ${CMAKE_SOURCE_DIR}/Data DESTINATION ${LUGARU_APP_ROOT})
    install(FILES ${CMAKE_SOURCE_DIR}/Dist/OSX/Lugaru.icns DESTINATION ${LUGARU_RESDIR})
    install(FILES ${CMAKE_SOURCE_DIR}/Dist/OSX/Info.plist DESTINATION ${LUGARU_APP_ROOT}/Contents)
endif(APPLE)

# Documentation

install(FILES ${CMAKE_SOURCE_DIR}/AUTHORS
              ${CMAKE_SOURCE_DIR}/CONTENT-LICENSE.txt
              ${CMAKE_SOURCE_DIR}/COPYING.txt
              ${CMAKE_SOURCE_DIR}/README.md
              ${CMAKE_SOURCE_DIR}/RELEASE-NOTES.md
              ${CMAKE_SOURCE_DIR}/Docs/DEVTOOLS.txt
              ${CMAKE_SOURCE_DIR}/Docs/README.Empire.txt
              ${CMAKE_SOURCE_DIR}/Docs/README.SevenTasks.txt
              ${CMAKE_SOURCE_DIR}/Docs/README.Temple.txt
        DESTINATION ${LUGARU_DOCDIR})

## lugaru 0~20110520.1+hge4354+dfsg

=== debian/changelog ===
lugaru (0~20110520.1+hge4354+dfsg-3) unstable; urgency=low

  * Remove unnecessary linux-libc-dev dependency
  * dh compat level 9 for hardening build flags
  * Remove libglew1.7-dev and only use libglew-dev build-dependency
    (Closes: 675775), FTBFS

 -- Martin Erik Werner <martinerikwerner@gmail.com>  Sun, 03 Jun 2012 12:06:05 +0200

lugaru (0~20110520.1+hge4354+dfsg-2) unstable; urgency=low

  * Rework launcher script to start windowed and with no mouse grabbing per
    default.
  * Update manual page:
    - Information regarding fullscreen and input grabbing,
    - document -h|-help|--help commandline
  * Change Arand -> Martin, same person, now with real name
  * Fix naming of 128x128 icon so it is used properly
  * Standards-Version 3.9.3
    - Update DEP-5 Format: link
  * Add unversioned library depend alternatives
    - libglu1-mesa-dev | libglu-dev
    - libglew1.5-dev | libglew-dev
    - libsdl1.2-dev | libsdl-dev
    - zlib1g-dev | libz-dev
  * Rename and refresh patches
    - Add DEP-3 tag to dont-install-data.patch
  * Build-Depends on libpng-dev, change from libpng12-dev (Closes: 662424)

 -- Martin Erik Werner <martinerikwerner@gmail.com>  Mon, 05 Mar 2012 08:26:50 +0100

lugaru (0~20110520.1+hge4354+dfsg-1) unstable; urgency=low

  * Initial release (Closes: 626156)
  * Source for tarball taken from https://code.google.com/p/lugaru/ at
    commit e435472cb42f
  * Source has been repacked into lugaru and lugaru-data packages due to some
    of the data being non-free
  * debian/patches/0001-fixed-bad-resolution-on-first-run: commit c699faa41aaf
    from p/lugaru-experimental fixing 0x0 resolution config writeout on start

 -- Arand Nash <ienorand@gmail.com>  Mon, 30 May 2011 19:15:31 +0100

=== debian/control ===
Source: lugaru
Section: contrib/games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Martin Erik Werner <martinerikwerner@gmail.com>
Build-Depends: cmake,
               debhelper (>= 9),
               freeglut3-dev,
               imagemagick,
               libglew-dev,
               libglu1-mesa-dev | libglu-dev,
               libjpeg8-dev | libjpeg-dev,
               libogg-dev,
               libopenal-dev,
               libpng-dev,
               libsdl1.2-dev | libsdl-dev,
               libvorbis-dev,
               libx11-dev,
               mesa-common-dev,
               x11proto-core-dev,
               zlib1g-dev | libz-dev
Standards-Version: 3.9.3
Homepage: http://code.google.com/p/lugaru/
Vcs-Git: git://git.debian.org/git/pkg-games/lugaru.git
Vcs-Browser: http://git.debian.org/?p=pkg-games/lugaru.git

Package: lugaru
Architecture: any
Depends: lugaru-data, ${misc:Depends}, ${shlibs:Depends}
Description: third-person action game
 Lugaru is the first commercial game by Wolfire Games. Lugaru's main
 character is Turner, an anthropomorphic rabbit with curiously well developed
 combat skills. After seeing his family and friends murdered by wolf raiders he
 embarks on a quest of revenge, only to uncover a deeper plot that threatens the
 entire island. Using a wide variety of intuitive combat techniques, the player
 combats wolves and hostile rabbits across three different landscapes
 (grasslands, snow, desert).

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DLUGARU_INSTALL_PREFIX=/usr/lib/games/lugaru/

override_dh_auto_build:
	convert 'Source/win-res/lugaru.ico[6]' debian/lugaru.png
	convert 'Source/win-res/lugaru.ico[7]' debian/lugaru.xpm
	dh_auto_build

override_dh_install:
	dh_install
	mv debian/lugaru/usr/share/icons/hicolor/128x128/apps/Lugaru.png \
		debian/lugaru/usr/share/icons/hicolor/128x128/apps/lugaru.png

URL="https://lugaru.googlecode.com/hg/"
REV_ORIG=$(shell dpkg-parsechangelog | sed -rne 's,^Version: .*[+~]hg([0-9a-z]+).*,\1,p')
DATEREV_ORIG=$(shell dpkg-parsechangelog | sed -rne 's,^Version: .*[+~]([0-9]+.[0-9]+).*,\1,p')
DIR_ORIG=lugaru-0~$(DATEREV_ORIG)+hg$(REV_ORIG).orig
TARBALL_ORIG=lugaru_0~$(DATEREV_ORIG)+hg$(REV_ORIG)+dfsg.orig.tar.gz
get-orig-source:
	rm -rf $(DIR_ORIG)
	hg clone $(URL) $(DIR_ORIG) -r $(REV_ORIG)
	find $(DIR_ORIG) -name ".hgignore" -print -delete
	find $(DIR_ORIG) -name ".hgsigs" -print -delete
	find $(DIR_ORIG) -name ".hgtags" -print -delete
	rm -rf $(DIR_ORIG)/.hg/
	rm -rf $(DIR_ORIG)/Data/
	rm -rf $(DIR_ORIG)/Dependencies/
	rm -rf $(DIR_ORIG)/Xcode/
	rm -f $(DIR_ORIG)/CONTENT-LICENSE.txt
	GZIP="--best" tar -cz --owner root --group root --mode a+rX \
		 -f $(TARBALL_ORIG) $(DIR_ORIG)
	rm -rf $(DIR_ORIG)

URL="https://lugaru.googlecode.com/hg/"
REV_CUR=$(shell hg identify -i $(URL) | cut --characters=-5)
# Can't get date of last hg commit easily, use current date as fallback
DATEREV_CUR=$(shell date +%Y%m%d).1
DIR_CUR=lugaru-0~$(DATEREV_CUR)+hg$(REV_CUR).orig
TARBALL_CUR=lugaru_0~$(DATEREV_CUR)+hg$(REV_CUR)+dfsg.orig.tar.gz
get-current-source:
	rm -rf $(DIR_CUR)
	hg clone $(URL) $(DIR_CUR) -r $(REV_CUR)
	find $(DIR_CUR) -name ".hgignore" -print -delete
	find $(DIR_CUR) -name ".hgsigs" -print -delete
	find $(DIR_CUR) -name ".hgtags" -print -delete
	rm -rf $(DIR_CUR)/.hg/
	rm -rf $(DIR_CUR)/Data/
	rm -rf $(DIR_CUR)/Dependencies/
	rm -rf $(DIR_CUR)/Xcode/
	rm -f $(DIR_CUR)/CONTENT-LICENSE.txt
	GZIP="--best" tar -cz --owner root --group root --mode a+rX \
		 -f $(TARBALL_CUR) $(DIR_CUR)
	rm -rf $(DIR_CUR)

## lugaru 1.2

=== debian/changelog ===
lugaru (1.2-7) unstable; urgency=medium

  * Team Upload

  [ Patrice Duroux ]
  * Update watch file (Closes: #1089920)

 -- Alexandre Detiste <tchet@debian.org>  Sat, 08 Feb 2025 18:16:04 +0100

lugaru (1.2-6) unstable; urgency=medium

  * Add dependency on libglu1-mesa-dev (Closes: #1022322)
  * Update lintian-overrides
  * Bump Standards-Version to 4.6.1 (no change needed)
  * Update copyright info

 -- Vincent Prat <vivi@debian.org>  Thu, 27 Oct 2022 19:01:04 +0200

lugaru (1.2-5) unstable; urgency=medium

  * Update watch file
  * Use debhelper-compat (and bump to version 13)
  * Bump Standards-Version to 4.5.0
  * Add Rules-Requires-Root statement
  * Add lintian override for *-documentation-outside-usr-share-doc
  * Fix license inconsistency for appstream metainfo file
  * Remove transitional packages
  * Add Forwarded statement to patches

 -- Vincent Prat <vivi@debian.org>  Thu, 10 Sep 2020 21:48:30 +0200

lugaru (1.2-4) unstable; urgency=medium

  * Update debhelper compatibility version to 11
  * Update Vcs fields to Salsa
  * Update Standards-Version to 4.1.4
  * Fix typo in patch description
  * Add upstream metadata

 -- Vincent Prat <vinceprat@free.fr>  Sun, 13 May 2018 20:44:38 +0200

lugaru (1.2-3) unstable; urgency=medium

  * Multi-arch metadata for openlugaru-data
  * Update Standards-Version to 4.1.1
  * Set priority of transitional packages to optional

 -- Vincent Prat <vinceprat@free.fr>  Sat, 30 Sep 2017 10:58:25 +0200

lugaru (1.2-2) unstable; urgency=medium

  * Install appdata file in /usr/share/metainfo
  * Multi-arch metadata for lugaru-data added
  * Fix alc_cleanup error on exit (Closes: #874086)

 -- Vincent Prat <vinceprat@free.fr>  Tue, 05 Sep 2017 23:24:12 +0100

lugaru (1.2-1) unstable; urgency=medium

  * New upstream release
  * Add various upstream docs to package, including campaign docs in -data
    package
  * Add upstream appstream file
  * Switch from using launch wrapper to binary directly
  * Update Standards-Version to 4.0.0
    - Remove Debian menu entry
  * Rename openlugaru to lugaru
  * Update dependencies
  * Move from contrib/non-free to main
  * Update homepage and VCS links
  * Update copyright file according to new licensing
  * Drop patches:
    - change-homedir-to-use-openlugaru-name.patch, no longer needed due to
      rename-revert.
    - dont-install-data.patch, no longer needed due to source package merge.
    - fixed-bad-resolution-on-first-run, backport from upstream, included in
      current release.
  * Add Fix-mismatched-usage-length-build-fail-on-g.patch, fixes compile issue
    on g++.
  * Update debhelpher compatibility version to 10
  * Update watch file version to 4

 -- Vincent Prat <vinceprat@free.fr>  Sun, 25 Jun 2017 16:26:26 +0200

openlugaru-data (0~20110520.1+hge4354-4) unstable; urgency=medium

  * Team upload.
  * Set XS-Autobuild: yes to allow source only uploads in the future.
  * Do a binary upload now because the package will otherwise not be updated.

 -- Markus Koschany <apo@debian.org>  Tue, 19 Jan 2016 20:24:59 +0100

openlugaru-data (0~20110520.1+hge4354-3) unstable; urgency=medium

  * Team upload.
  * Vcs-Browser: Use cgit and https.
  * Update Homepage and Source address. The project has moved to bitbucket.org.
  * Declare compliance with Debian Policy 3.9.6.
  * Use compat level 9 and require debhelper >= 9.
  * Drop transitional dummy package lugaru-data.

 -- Markus Koschany <apo@debian.org>  Thu, 14 Jan 2016 21:52:48 +0100

openlugaru (0~20110520.1+hge4354+dfsg-5) unstable; urgency=medium

  * Team upload.
  * Declare compliance with Debian Policy 3.9.6.
  * Vcs-Browser: Switch to cgit and https.
  * Drop transitional dummy package lugaru.
  * openlugaru.desktop: Add keywords and a comment in German.
  * Update Homepage and Source address because the project has moved to
    bitbucket.org.

 -- Markus Koschany <apo@debian.org>  Thu, 14 Jan 2016 21:26:40 +0100

openlugaru (0~20110520.1+hge4354+dfsg-4.1) unstable; urgency=medium

  * Non-maintainer upload
  * Remove libjpeg8-dev from Build-Depends (Closes: #765805)

 -- Ondřej Surý <ondrej@debian.org>  Sun, 19 Oct 2014 10:20:02 +0200

openlugaru-data (0~20110520.1+hge4354-2) unstable; urgency=low

  * Rename package to openlugaru-data, in order to distinguish from
    official Lugaru which is still distributed by Wolfire Games
  * Update Standards-Version to 3.9.4
    - Set correct DEP-5 Format: link
    - Add "-b debian_data" in Vcs-Git field
  * Change to "canonical" VCS-links, ("anonscm")
  * Arand -> Martin, same person, now with real name

 -- Martin Erik Werner <martinerikwerner@gmail.com>  Fri, 16 Aug 2013 00:53:23 +0200

openlugaru (0~20110520.1+hge4354+dfsg-4) unstable; urgency=low

  * Rename package to openlugaru, in order to distinguish from official Lugaru
    which is still distributed by Wolfire Games
    - add debian/patches/change-homedir-to-use-openlugaru-name.patch
  * Update Standards-Version to 3.9.4
    - Add "-b debian_source" in Vcs-Git field
  * Change to "canonical" VCS-links, ("anonscm")

 -- Martin Erik Werner <martinerikwerner@gmail.com>  Fri, 16 Aug 2013 00:54:13 +0200

lugaru-data (0~20110520.1+hge4354-1) unstable; urgency=low

  * Initial release
  * Source for tarball taken from https://code.google.com/p/lugaru/ at
    commit e435472cb42f
  * Source has been repacked into lugaru and lugaru-data packages due to some
    of the data being non-free

 -- Arand Nash <ienorand@gmail.com>  Tue, 21 Jun 2011 22:54:00 +0200

=== debian/control ===
Source: lugaru
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Vincent Prat <vivi@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               libglu1-mesa-dev,
               libjpeg-dev,
               libopenal-dev,
               libpng-dev,
               libsdl2-dev,
               libvorbis-dev
Standards-Version: 4.6.1
Homepage: https://gitlab.com/osslugaru/lugaru
Vcs-Git: https://salsa.debian.org/games-team/lugaru.git
Vcs-Browser: https://salsa.debian.org/games-team/lugaru
Rules-Requires-Root: no

Package: lugaru
Architecture: any
Depends: lugaru-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Replaces: openlugaru (<< 1.2-1~)
Breaks: openlugaru (<< 1.2-1~)
Description: third person ninja rabbit fighting game
 Lugaru (pronounced Loo-GAH-roo) is a cross-platform third-person action game.
 The main character, Turner, is an anthropomorphic rebel bunny rabbit with
 impressive combat skills. In his quest to find those responsible for
 slaughtering his village, he uncovers a far-reaching conspiracy involving the
 corrupt leaders of the rabbit republic and the starving wolves from a nearby
 den. Turner takes it upon himself to fight against their plot and save his
 fellow rabbits from slavery.
 .
 Lugaru HD is developed by the OSS Lugaru project and is based on the original
 Lugaru HD by Wolfire Games.

Package: lugaru-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Replaces: openlugaru-data (<< 1.2-1~)
Breaks: openlugaru-data (<< 1.2-1~)
Enhances: lugaru
Description: data for the third person ninja rabbit fighting game Lugaru HD
 This package contains the data files for Lugaru HD, which includes some of the
 data from the original Lugaru HD by Wolfire Games, and some additional data
 included by/contributed to the OSS Lugaru project.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX=/usr \
		-DSYSTEM_INSTALL=ON \
		-DCMAKE_INSTALL_BINDIR=games \
		-DCMAKE_INSTALL_DATADIR=share/games \
		-DLUGARU_VERSION_RELEASE="Debian $(DEB_VERSION)"

execute_after_dh_install:
	rm -f debian/tmp/usr/share/doc/lugaru/CONTENT-LICENSE.txt
	rm -f debian/tmp/usr/share/doc/lugaru/COPYING.txt

=== debian/watch ===
version=4
opts=searchmode=plain \
https://gitlab.com/osslugaru/lugaru/tags -/archive/[^/]+/@PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@
